Entrar

Criar ou obter ref de Seller

POST https://{organization}.myguper.com/api/catalog/{interface}/seller

Find-or-create: se um ref com esse refId já existe para a interface, retorna a entidade vinculada (no-op, _created: false). Senão, cria nova entidade com o name fornecido E o ref externo apontando para ela (_created: true). Idempotente em retry.

Try-it values populated from environment ACME (Demo)


Autenticação

Token

Send your user token in the x-guper-authorization header.

Cabeçalhos

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Corpo da requisição

Content-Type: application/json

{
    "refId": "VTEX-NIKE-001",
    "name": "Nike"
}

Respostas

{"id":42,"name":"Nike","_ref":{"source":"vtex","refId":"VTEX-NIKE-001"},"_created":true}
Copied to clipboard